features:
  secondary:
    - name: "Geo moves towards a self-service developer framework"
      available_in: [premium, ultimate]
      gitlab_com: false
      documentation_link: 'https://docs.gitlab.com/ee/development/geo/framework'
      reporter: fzimmer
      stage: enablement
      categories:
        - "Geo-replication"
        - "Disaster Recovery"
      issue_url: 'https://gitlab.com/gitlab-org/gitlab/issues/197319'
      epic_url: 'https://gitlab.com/groups/gitlab-org/-/epics/2161'
      description: |
        Geo helps distributed teams by replicating data to local Geo nodes, and is also used for disaster recovery. Today, some of GitLab's features are [not yet supported by Geo](https://docs.gitlab.com/ee/administration/geo/replication/datatypes.html#limitations-on-replicationverification). We want all upcoming features to ship with Geo support out of the box. To accomplish this, we are moving towards a developer framework, which will make it easier for developers in the GitLab community to contribute new data types that need to be replicated and verified.

        This is valuable, because it standardizes the technical processes used in Geo to extend Geo to other parts of GitLab, and it will give the GitLab developer community a solid technical foundation to contribute future features and improvements to Geo.  Effectively, future development work will be faster and more efficient.

        In this release, we have merged [a significant first iteration for package files](https://gitlab.com/gitlab-org/gitlab/issues/197319) that establishes the technical foundations of this work. In the next iteration, we will add support for package file replication and verification.
